
package com.ejie.ad74a.ws.client.platea.tareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TMessageType.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TMessageType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="Task"/&gt;
 *     &lt;enumeration value="Alert"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TMessageType")
@XmlEnum
public enum TMessageType {

    @XmlEnumValue("Task")
    TASK("Task"),
    @XmlEnumValue("Alert")
    ALERT("Alert");
    private final String value;

    TMessageType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TMessageType fromValue(String v) {
        for (TMessageType c: TMessageType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
